<template>
  <div class="container register-container">
    <h2>{{ title }}</h2>
    <form class="form-register">
        <input-list :inputs="inputs"></input-list>
        <vue-button :title="registerButton.buttonTitle" :action="createUser" :btnClass="registerButton.buttonClass"></vue-button>
    </form>
  </div>
</template>
<script>
import VueButton from './VueButton.vue'
import InputList from './InputList.vue'

var inputName = {value: '', name: 'Name', type: 'text', placeholder:'Enter name'}
var inputEmail = {value: '', name: 'Email', type: 'email', placeholder:'Enter email'}
var inputPassword = {value: '', name: 'Password', type: 'password', placeholder:'Enter password'}
var inputPhoto = {value: '', name: 'Photo', type: 'file', placeholder:'Enter photo'}
var inputZone = {value: '', name: 'Zone', type: 'text', placeholder:'Enter zone'}
var inputSubjects = {value: '', name: 'Subjects', type: 'text', placeholder:'Enter subjects'}

export default {
  name: 'Register',
  components: {
    VueButton,
    InputList
  },
  data() {
    return {
      title: 'Please sign in',
        registerButton: {buttonTitle: 'Registrarse', buttonClass: 'btn-primary'},
        inputs: [inputName, inputEmail, inputPassword, inputPhoto, inputZone, inputSubjects]
      }
  },
  methods: {
    createUser() {
      this.$http.post('https://profinderdb.firebaseio.com/users.json', {
        email: inputEmail.value,
        pass: inputPassword.value,
        name: inputName.value,
        photo: inputPhoto.value,
        zone: inputZone.value,
        subjects: ['Matemática', 'Inglés', 'Física', 'Química'],
      }).then(response => console.log(response))
    }
  }
}
</script>
<style scoped>
    .register-container .form-register{
        max-width: 500px;
        margin: 0 auto;
    }
    .register-container .form-register .btn-social span{
        padding-left: 10px;
    }
</style>